Bug 1330292 - Inconsistent/mistyped option names "ssl-cert-depth", "ssl-cetificate-depth"
Summary: Inconsistent/mistyped option names "ssl-cert-depth", "ssl-cetificate-depth"
Keywords:
Status: CLOSED DUPLICATE of bug 1330249
Alias: None
Product: GlusterFS
Classification: Community
Component: transport
Version: 3.7.11
Hardware: All
OS: All
unspecified
high
Target Milestone: ---
Assignee: Kaleb KEITHLEY
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-25 19:33 UTC by Markus Ueberall
Modified: 2016-04-26 12:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-26 12:38:15 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)
Log excerpts, setup details (before/after modifying the option names) (21.73 KB, text/plain)
2016-04-25 19:33 UTC, Markus Ueberall
no flags Details

Description Markus Ueberall 2016-04-25 19:33:28 UTC
Created attachment 1150621 [details]
Log excerpts, setup details (before/after modifying the option names)

Description of problem:
Setting volume option "ssl.certificate-depth" to user-defined value triggers warnings about 

Version-Release number of selected component (if applicable):
3.7.11

How reproducible:
Given volume <vol>, execute "gluster volume set <vol> ssl.certificate-depth 1"

Actual results:
The option value is stored, but not correctly copied elsewhere ("namespace problem"), triggering the following warning (see attachment for context):
W [graph.c:357:_log_if_unknown_option] 0-webroot-client-<Number>: option 't
ransport.socket.ssl-cetificate-depth' is not recognized

NB it is not clear whether there's another side effect of this inconsistency (current setup with certificates fails, regardless of value for ssl.certificate-depth and ssl.cipher-list).

Expected results:
No warning.


Additional info:
The following changes get rid of the warning (resulting configuration is clean, but a test run still shows the same certificate errors, see bottom of attached file):
    sed -i 's|ssl-cert-depth|ssl-certificate-depth|g' rpc/rpc-transport/socket/src/socket.c xlators/mgmt/glusterd/src/glusterd-volume-set.c
    sed -i 's|ssl-cetificate-depth|ssl-certificate-depth|g' xlators/mgmt/glusterd/src/glusterd-volgen.c

Comment 1 Markus Ueberall 2016-04-25 19:43:08 UTC
Truncated sentence above: Setting volume option "ssl.certificate-depth" to user-defined value triggers warnings about *unknown option* "transport.socket.ssl-cetificate-depth".

Comment 2 Kaleb KEITHLEY 2016-04-26 12:38:15 UTC

*** This bug has been marked as a duplicate of bug 1330249 ***


Note You need to log in before you can comment on or make changes to this bug.